Package be.e_contract.ejsf.validator.ratelimiter

# Class RateExpiry

java.lang.Object
be.e_contract.ejsf.validator.ratelimiter.RateExpiry

All Implemented Interfaces:
  `com.github.benmanes.caffeine.cache.Expiry<String,RateInfo>`

public class RateExpiry extends Object implements com.github.benmanes.caffeine.cache.Expiry<String,RateInfo>

## Constructor Summary

Constructors
Constructor
Description
`RateExpiry(int limitRefreshPeriod, int timeoutDuration)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`long`
`expireAfterCreate(String key, RateInfo value, long currentTime)`
`long`
`expireAfterRead(String key, RateInfo value, long currentTime, long currentDuration)`
`long`
`expireAfterUpdate(String key, RateInfo value, long currentTime, long currentDuration)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RateExpiry

public RateExpiry(int limitRefreshPeriod, int timeoutDuration)

## Method Details

### expireAfterCreate

public long expireAfterCreate(String key, RateInfo value, long currentTime)

Specified by:
  `expireAfterCreate` in interface `com.github.benmanes.caffeine.cache.Expiry<String,RateInfo>`

### expireAfterUpdate

public long expireAfterUpdate(String key, RateInfo value, long currentTime, long currentDuration)

Specified by:
  `expireAfterUpdate` in interface `com.github.benmanes.caffeine.cache.Expiry<String,RateInfo>`

### expireAfterRead

public long expireAfterRead(String key, RateInfo value, long currentTime, long currentDuration)

Specified by:
  `expireAfterRead` in interface `com.github.benmanes.caffeine.cache.Expiry<String,RateInfo>`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`